package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.MsgsAttachment;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * (MsgsAttachment)表服务接口
 *
 * @author makejava
 * @since 2024-02-29 18:05:38
 */

@Component
public interface MsgsAttachmentService {

    /**
     * 通过ID查询单条数据
     *
     * @param attachmentId 主键
     * @return 实例对象
     */
    MsgsAttachment queryById(Integer attachmentId);

    /**
     * 新增数据
     *
     * @param msgsAttachment 实例对象
     * @return 实例对象
     */
    MsgsAttachment insert(MsgsAttachment msgsAttachment);

    /**
     * 修改数据
     *
     * @param msgsAttachment 实例对象
     * @return 实例对象
     */
    MsgsAttachment update(MsgsAttachment msgsAttachment);

    /**
     * 通过主键删除数据
     *
     * @param attachmentId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer attachmentId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    List<MsgsAttachment> queryByMsgId(Integer msgId);
}
